Bug 74016 - Interesting corrupt database
Interesting corrupt database
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 16:27 EDT by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-09 17:29:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-09-13 16:27:39 EDT
URL with the tarball by private email

[root@new rpm]#  rpm --rebuilddb
[root@new rpm]#  rpm -qa | grep glib
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.4-24
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glib-1.2.10-5
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-common-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
compat-glibc-6.2-2.1.3.2
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-devel-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-37
glib2-2.0.6-1
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
glibc-2.2.5-37
glibc-2.2.5-36
[root@new rpm]# history | tail -25
  242  rpm -qa  | grep glibc
  243  rpm --rebuilddb
  244  rpm -qa  | grep glibc
  245   cd /var/lib
  246                  tar czvf /tmp/rpmdb.tar.gz rpm
  247                  cd /var/lib/rpm
  248                  db_verify Packages
  249  rpm -qa  | grep glibc
  250    mv Packages Packages-ORIG
  251                  db_dump Packages-ORIG | db_load Packages
  252   rpm -qa
  253   rpm -qa | grep glib
  254   rpm --rebuilddb
  255   rpm -qa | grep glib
  256  history | tail -25
[root@new rpm]#
Comment 1 R P Herrold 2002-11-09 17:29:17 EST
Letitng an extended rpm --rebuilddb (overnight) cured the issue
Comment 2 Jeff Johnson 2002-11-09 17:37:57 EST
Overnight? --rebuilddb should take minutes, not hours.

FYI, adding --define '_filterdbdups 1' will eliminate
duplicate entries.

Note You need to log in before you can comment on or make changes to this bug.